classification
Title: remove modules_reloading from the interpreter state
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, brett.cannon, eric.snow
Priority: normal Keywords:

Created on 2012-04-19 01:32 by eric.snow, last changed 2012-05-03 01:47 by eric.snow. This issue is now closed.

Messages (4)
msg158691 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2012-04-19 01:32
Once imp.reload() is moved to imp.py, and the code is stripped from Python/import.c, we can see where modules_reloading stands.  I expect that it will have become entirely superfluous at that point.
msg158694 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2012-04-19 01:34
see issue14615 for the broader picture
msg158952 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2012-04-22 07:42
patch added to issue13959.
msg159832 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2012-05-03 01:47
from issue13959:

New changeset eb68502731dd by Brett Cannon in branch 'default':
Issues #13959, 14647: Re-implement imp.reload() in Lib/imp.py.
http://hg.python.org/cpython/rev/eb68502731dd
History
Date User Action Args
2012-05-03 01:47:50eric.snowsetstatus: open -> closed
resolution: fixed
messages: + msg159832

stage: resolved
2012-04-22 07:42:34eric.snowsetmessages: + msg158952
2012-04-20 06:51:32Arfreversetnosy: + Arfrever
2012-04-19 01:34:56eric.snowsetmessages: + msg158694
2012-04-19 01:32:26eric.snowcreate